image: node:12.18.4

cache:
  paths:
    - node_modules/

stages:
  - pre_deploy
  - deploy_staging
  - deploy_production

Lint:
  stage: pre_deploy
  except:
    - main
  allow_failure: true
  script:
    - npm install
    - npm run lint

UnitTest:
  stage: pre_deploy
  except:
    - main
  script:
    - npm install
    - npm run test

DeploymentStaging:
  image: ruby:latest
  only:
    - staging
  stage: deploy_production
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=tes-be-ch11 --api-key=$VARIABEL

DeploymentProduction:
  image: ruby:latest
  only:
    - master
  stage: deploy_production
  script:
    - apt-get update -qy
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=tes-be-ch11 --api-key=$VARIABEL
